## thunderbird 78.7.1

=== debian/changelog ===
thunderbird (2:78.7.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 11 Feb 2021 16:10:38 -0800

thunderbird (1:78.7.1-1) unstable; urgency=medium

  * [406f9d7] New upstream version 78.7.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Feb 2021 20:12:59 +0100

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.42),
 cbindgen (>= 0.14),
 clang,
 debhelper (>= 10.2.5~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbotan-2-dev (>= 2.8.0),
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libjson-c-dev (>= 0.11),
 libhunspell-dev (>= 1.5.1~),
 libicu-dev (>= 64.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libnspr4-dev (>= 2:4.25~),
 libnss3-dev (>= 2:3.55~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librust-toml-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nodejs (>= 10.19.0),
 python3,
 rustc (>= 1.41),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.5.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
 libgtk2.0-0,
Provides:
 lightning (= ${binary:Version}),
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 lightning (<< 1:76.0~b1-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-firetray (<= 0.6.1+dfsg-1.2),
 xul-ext-quotecolors (<=0.3-6),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Replaces:
 lightning (<< 1:76.0~b1-1~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: lightning
Architecture: all
Section: oldlibs
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Description: Calendar Extension for Thunderbird - Transitional package
 Lightning is the calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.
 .
 This is a transitional package that pulls in the required package for
 lightning. It can be safely removed.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Replaces:
 lightning-l10n-ar (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ar (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ar,
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 lightning-l10n-ast (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ast (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Replaces:
 lightning-l10n-be (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-be (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-be,
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Replaces:
 lightning-l10n-bg (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-bg (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-bg,
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Replaces:
 lightning-l10n-br (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-br (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-br,
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Replaces:
 lightning-l10n-ca (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-ca (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-ca,
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Replaces:
 lightning-l10n-cs (<< 1:60.2.1-1~),
Breaks:
 lightning-l10n-cs (<< 1:60.2.1-1~),
Provides:
 lightning-l10n-cs,
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird

## thunderbird 78.8.0

=== comm/third_party/rnp/src/lib/CMakeLists.txt ===
# Copyright (c) 2018-2020 Ribose Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

include(GNUInstallDirs)
include(GenerateExportHeader)

# these could probably be optional but are currently not
find_package(BZip2 REQUIRED)
find_package(ZLIB REQUIRED)

# required packages
find_package(JSON-C 0.11 REQUIRED)
find_package(Botan2 2.8.0 REQUIRED)

# generate a config.h
include(CheckIncludeFileCXX)
include(CheckCXXSymbolExists)
check_include_file_cxx(fcntl.h HAVE_FCNTL_H)
check_include_file_cxx(inttypes.h HAVE_INTTYPES_H)
check_include_file_cxx(limits.h HAVE_LIMITS_H)
check_include_file_cxx(stdint.h HAVE_STDINT_H)
check_include_file_cxx(string.h HAVE_STRING_H)
check_include_file_cxx(sys/cdefs.h HAVE_SYS_CDEFS_H)
check_include_file_cxx(sys/cdefs.h HAVE_SYS_MMAN_H)
check_include_file_cxx(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_file_cxx(sys/stat.h HAVE_SYS_STAT_H)
check_include_file_cxx(sys/types.h HAVE_SYS_TYPES_H)
check_include_file_cxx(sys/param.h HAVE_SYS_PARAM_H)
check_include_file_cxx(unistd.h HAVE_UNISTD_H)
check_include_file_cxx(sys/wait.h HAVE_SYS_WAIT_H)
check_cxx_symbol_exists(mkdtemp "stdlib.h;unistd.h" HAVE_MKDTEMP)
check_cxx_symbol_exists(mkstemp "stdlib.h;unistd.h" HAVE_MKSTEMP)
check_cxx_symbol_exists(realpath stdlib.h HAVE_REALPATH)
check_cxx_symbol_exists(O_BINARY fcntl.h HAVE_O_BINARY)
check_cxx_symbol_exists(_O_BINARY fcntl.h HAVE__O_BINARY)
check_cxx_symbol_exists(_tempnam stdio.h HAVE__TEMPNAM)
set(HAVE_ZLIB_H "${ZLIB_FOUND}")
set(HAVE_BZLIB_H "${BZIP2_FOUND}")
configure_file(config.h.in config.h)
# generate a version.h
configure_file(version.h.in version.h)

# check botan's enabled features
set(CMAKE_REQUIRED_INCLUDES "${BOTAN2_INCLUDE_DIRS}")
set(_botan_required_features
    # base
    BIGINT FFI HEX_CODEC PGP_S2K
    # AEAD
    BLOCK_CIPHER AEAD_EAX AEAD_OCB
    # symmetric ciphers
    AES BLOWFISH CAMELLIA CAST_128 DES IDEA RIPEMD_160 SM4 TWOFISH
    # cipher modes
    MODE_CBC MODE_CFB
    # RNG
    AUTO_RNG AUTO_SEEDING_RNG HMAC HMAC_DRBG
    # hash
    CRC24 HASH MD5 SHA1 SHA2_32 SHA2_64 SHA3 SM3
    # public-key core
    DL_GROUP DL_PUBLIC_KEY_FAMILY ECC_GROUP ECC_PUBLIC_KEY_CRYPTO PUBLIC_KEY_CRYPTO
    # public-key algs
    CURVE_25519 DSA ECDH ECDSA ED25519 ELGAMAL RSA SM2
    # public-key operations etc
    EME_PKCS1v15 EMSA_PKCS1 EMSA_RAW KDF_BASE RFC3394_KEYWRAP SP800_56A
)
foreach(feature ${_botan_required_features})
  check_cxx_symbol_exists("BOTAN_HAS_${feature}" botan/build.h _botan_has_${feature})
  if (NOT _botan_has_${feature})
    message(FATAL_ERROR "A required botan feature is missing: ${feature}")
  endif()
endforeach()
set(CMAKE_REQUIRED_INCLUDES)

add_library(librnp-obj OBJECT
  # librepgp
  ../librepgp/stream-armor.cpp
  ../librepgp/stream-common.cpp
  ../librepgp/stream-ctx.cpp
  ../librepgp/stream-dump.cpp
  ../librepgp/stream-key.cpp
  ../librepgp/stream-packet.cpp
  ../librepgp/stream-parse.cpp
  ../librepgp/stream-sig.cpp
  ../librepgp/stream-write.cpp

  # librekey
  ../librekey/key_store_g10.cpp
  ../librekey/key_store_kbx.cpp
  ../librekey/key_store_pgp.cpp
  ../librekey/rnp_key_store.cpp

  crypto/bn.cpp
  crypto/dsa.cpp
  crypto/ec.cpp
  crypto/ecdh.cpp
  crypto/ecdsa.cpp
  crypto/eddsa.cpp
  crypto/elgamal.cpp
  crypto/hash.cpp
  crypto/mpi.cpp
  crypto/rng.cpp
  crypto/rsa.cpp
  crypto/s2k.cpp
  crypto/sm2.cpp
  crypto/symmetric.cpp
  crypto/signatures.cpp
  crypto.cpp
  fingerprint.cpp
  generate-key.cpp
  key-provider.cpp
  misc.cpp
  pass-provider.cpp
  pgp-key.cpp
  rnp.cpp
  $<TARGET_OBJECTS:rnp-common>
)

set_target_properties(librnp-obj PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_include_directories(librnp-obj
  PUBLIC
    "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src/lib>"
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/common>"
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:include>"
  PRIVATE
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${PROJECT_SOURCE_DIR}/src"
)
target_link_libraries(librnp-obj
  PRIVATE
    Botan2::Botan2
    JSON-C::JSON-C
)
set_target_properties(librnp-obj PROPERTIES CXX_VISIBILITY_PRESET hidden)
if (TARGET BZip2::BZip2)
  target_link_libraries(librnp-obj PRIVATE BZip2::BZip2)
endif()
if (TARGET ZLIB::ZLIB)
  target_link_libraries(librnp-obj PRIVATE ZLIB::ZLIB)
endif()
if (BUILD_SHARED_LIBS)
  target_compile_definitions(librnp-obj PRIVATE librnp_EXPORTS)
else()
  target_compile_definitions(librnp-obj PRIVATE RNP_STATIC)
endif()

add_library(librnp $<TARGET_OBJECTS:librnp-obj> $<TARGET_OBJECTS:rnp-common>)
set_target_properties(librnp
  PROPERTIES
    VERSION "${RNP_VERSION}"
    SOVERSION "${RNP_VERSION_MAJOR}"
    PREFIX "lib"
    OUTPUT_NAME "rnp-${RNP_VERSION_MAJOR}"
)

if (BUILD_SHARED_LIBS)
  add_library(librnp-static STATIC $<TARGET_OBJECTS:librnp-obj> $<TARGET_OBJECTS:rnp-common>)
else()
  add_library(librnp-static ALIAS librnp)
endif()

foreach (prop LINK_LIBRARIES INTERFACE_LINK_LIBRARIES INCLUDE_DIRECTORIES INTERFACE_INCLUDE_DIRECTORIES)
  get_target_property(val librnp-obj ${prop})
  set_property(TARGET librnp PROPERTY ${prop} ${val})
  if (BUILD_SHARED_LIBS)
    set_property(TARGET librnp-static PROPERTY ${prop} ${val})
  endif()
endforeach()

generate_export_header(librnp
  BASE_NAME rnp/rnp
  EXPORT_MACRO_NAME RNP_API
  STATIC_DEFINE RNP_STATIC
)

# This has precedence and can cause some confusion when the binary
# dir one isn't actually being used. To be improved.
if (NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
  file(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/config.h")
  file(REMOVE "${CMAKE_CURRENT_SOURCE_DIR}/version.h")
endif()

set(LIBRNP_INCLUDEDIR "rnp-${PROJECT_VERSION_MAJOR}")

if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.12.0")
  set(namelink_component NAMELINK_COMPONENT development)
else()
  set(namelink_component)
endif()

# add these to the rnp-targets export
install(TARGETS librnp
  EXPORT rnp-targets
  LIBRARY
    DESTINATION  "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT runtime
    ${namelink_component}
  ARCHIVE DESTINATION  "${CMAKE_INSTALL_LIBDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}"
)

# install dll only for windows
if (WIN32)
  install(TARGETS librnp
    RUNTIME
      DESTINATION "${CMAKE_INSTALL_BINDIR}"
      COMPONENT runtime
  )
endif()

# install headers
install(
  FILES
    "${PROJECT_SOURCE_DIR}/include/rnp/rnp.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp.h
)
install(
  FILES
    "${PROJECT_SOURCE_DIR}/include/rnp/rnp_err.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp_err.h
)
install(
  FILES
    "${PROJECT_BINARY_DIR}/src/lib/rnp/rnp_export.h"
  COMPONENT
    development
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/${LIBRNP_INCLUDEDIR}/rnp"
  RENAME
    rnp_export.h
)

# .cmake installs
set(INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/rnp")

install(EXPORT rnp-targets
  FILE rnp-targets.cmake
  NAMESPACE rnp::
  DESTINATION "${INSTALL_CMAKEDIR}"
  COMPONENT development
)

include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/cmake/rnp-config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/rnp-config.cmake"
  INSTALL_DESTINATION "${INSTALL_CMAKEDIR}"
)
write_basic_package_version_file(rnp-config-version.cmake
  VERSION "${PROJECT_VERSION}"
  COMPATIBILITY SameMajorVersion
)
install (
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/rnp-config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/rnp-config-version.cmake"
  DESTINATION "${INSTALL_CMAKEDIR}"
  COMPONENT development
)

function(get_linked_libs libsvar dirsvar tgt)
  get_target_property(imported ${tgt} IMPORTED)
  list(APPEND visited_targets ${tgt})
  if (imported)
    get_target_property(linkedlibs ${tgt} INTERFACE_LINK_LIBRARIES)
  else()
    get_target_property(linkedlibs ${tgt} LINK_LIBRARIES)
  endif()
  set(libs)
  foreach (lib ${linkedlibs})
    if (TARGET ${lib})
      list(FIND visited_targets ${lib} visited)
      if ((${visited} EQUAL -1) AND (${CMAKE_SHARED_LIBRARY_PREFIX}))
        # library
        get_target_property(liblocation ${lib} LOCATION)
        get_filename_component(linkedlib ${liblocation} NAME_WE)
        string(REGEX REPLACE "^${CMAKE_SHARED_LIBRARY_PREFIX}" "" linkedlib ${linkedlib})
        get_linked_libs(linkedlibs libdirs ${lib})
        list(APPEND libs ${linkedlib} ${linkedlibs})
        # directory
        get_filename_component(libdir ${liblocation} DIRECTORY)
        list(FIND ${dirsvar} ${libdir} seendir)
        if (${seendir} EQUAL -1)
          list(APPEND ${dirsvar} ${libdir} ${libdirs})
        endif()
      endif()
    endif()
  endforeach()
  set(visited_targets ${visited_targets} PARENT_SCOPE)
  set(${libsvar} ${libs} PARENT_SCOPE)
  set(${dirsvar} ${${dirsvar}} PARENT_SCOPE)
endfunction()

get_linked_libs(libs dirs librnp)
set(linkercmd)
foreach (dir ${dirs})
  string(APPEND linkercmd "-L${dir} ")
endforeach()
foreach (lib ${libs})
  string(APPEND linkercmd "-l${lib} ")
endforeach()
string(STRIP "${linkercmd}" linkercmd)
set(LIBRNP_PRIVATE_LIBS ${linkercmd})

# create a pkgconfig .pc too
find_package(PkgConfig)
if (PKG_CONFIG_FOUND)
  get_target_property(LIBRNP_OUTPUT_NAME librnp OUTPUT_NAME)
  configure_file(
    "${PROJECT_SOURCE_DIR}/cmake/librnp.pc.in"
    "${PROJECT_BINARY_DIR}/librnp-${PROJECT_VERSION_MAJOR}.pc"
    @ONLY
  )
  install(
    FILES "${PROJECT_BINARY_DIR}/librnp-${PROJECT_VERSION_MAJOR}.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    COMPONENT development
  )
endif()

=== debian/changelog ===
thunderbird (1:78.8.0-1~deb9u1) stretch-security; urgency=medium

  * Backport 78.8.0 to stretch.
  * [fcd11d1] sync thunderbird-dbg's architecture list with thunderbird

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 01 Mar 2021 15:26:38 +0100

thunderbird (1:78.8.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [f2f1f3f] thunderbird: Stop shipping /u/s/p/thunderbird.png symlink

  [ Carsten Schoenert ]
  * [f5707a7] New upstream version 78.8.0
    Fixed CVE issues in upstream version 78.8 (MFSA 2021-09):
    CVE-2021-23969: Content Security Policy violation report could have
                    contained the destination of a redirect
    CVE-2021-23968: Content Security Policy violation report could have
                    contained the destination of a redirect
    CVE-2021-23973: MediaError message property could have leaked information
                    about cross-origin resources
    CVE-2021-23978: Memory safety bugs fixed in Thunderbird 78.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Feb 2021 14:58:05 +0100

## thunderbird 78.8.1+build1

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.hirsute
Build-Depends: cdbs,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	icu-devtools [s390x],
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.14.02),
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python3 (>= 3.5),
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-11 | clang-10 | clang-8,
	libclang-11-dev | libclang-10-dev | libclang-8-dev,
	llvm-11-dev | llvm-10-dev | llvm-8-dev,
	cargo (>= 0.42),
	rustc (>= 1.41.0),
	nodejs (>= 10.21)
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Suggests: ${support:Suggests},
	ttf-lyx,
	libotr5,
Breaks: ${transitional:Breaks},
	tinyjsd (<< 1.2+git1-1ubuntu1),
	jsunit (<< 0.2.2-2ubuntu1),
	enigmail (<< 2:2.2),
Replaces: ${transitional:Replaces},
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
Description: Email, RSS and newsgroup client - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

# Transitional packages below here

Package: xul-ext-lightning
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: xul-ext-gdata-provider
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Thunderbird
 This package contains Afrikaans translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Thunderbird
 This package contains Belarusian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bg

## thunderbird 78.9.0

=== debian/changelog ===
thunderbird (1:78.9.0-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 24 Mar 2021 11:15:12 +0100

thunderbird (1:78.9.0-1) unstable; urgency=medium

  [ Colomban Wendling ]
  * [7d454de] d/thunderbird.desktop: Switch StartupWMClass
    (Closes: #985366)

  [ Carsten Schoenert ]
  * [23fe9ce] d/source.filter: small update to filtering list
  * [828b9d7] New upstream version 78.9.0
    Fixed CVE issues in upstream version 78.9 (MFSA 2021-12):
    CVE-2021-23981: Texture upload into an unbound backing buffer resulted in
                    an out-of-bound read
    CVE-2021-23982: Internal network hosts could have been probed by a
                    malicious webpage
    CVE-2021-23984: Malicious extensions could have spoofed popup information
    CVE-2021-23987: Memory safety bugs fixed in Thunderbird 78.9
  * [cf4fbde] rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
    porting-s390x/Explicitly-instantiate-TIntermTraverser-traverse-TIntermN.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Mar 2021 15:55:43 +0100
